Skip to main content
GET
Get Dataset Progress

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset
string<uuid>[]

Dataset UUIDs to check (from GET /api/v1/datasets). Omit to get status for all datasets you can read.

Example:
pipeline
string[]

Pipeline names to check: 'add_pipeline', 'indexing_pipeline', 'cognify_pipeline' (the two runs cognify makes, in that order), or 'code_graph_pipeline' (code ingestion via remember content_type='code'). Omit to default to cognify_pipeline. For the folded memory state see GET /v1/datasets/status/memory.

Example:

Response

Successful Response

{key}
PipelineRunStatusWithProgress · object